This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 444151

Summary: Package Manager crashes when installing wine
Product: Red Hat Enterprise Linux 5 Reporter: David Everett <davideverett>
Component: yumAssignee: James Antill <james.antill>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: low    
Version: 5.0   
Target Milestone: rc   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-03-25 01:40:25 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description David Everett 2008-04-25 09:54:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.12) Gecko/20080409 Red Hat/1.5.0.12-15.el5_1 Firefox/1.5.0.12

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. Applications -> Add/Remove Software
2. Install Wine 0.9.57

I did previously install and uninstall wine.

Actual Results:
Program crashes and won't install wine.

Expected Results:


Additional info:
Component: Software Manager
Summary: TB26650f97 yumRepo.py:433:__get:RepoError: failure: wine-core-0.9.57-1.el5.i386.rpm from epel: [Errno 256] No more mirrors to try.

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 334, in _apply
    self.applyChanges(self.mainwin)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 557, in applyChanges
    self.checkDeps(mainwin)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 322, in checkDeps
    self.populateTs(keepold=0)
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 153, in populateTs
    self.downloadHeader(txmbr.po)
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 760, in downloadHeader
    cache=repo.http_caching != 'none',
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 461, in getHeader
    cache=cache,
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 433, in __get
    raise Errors.RepoError, "failure: %s from %s: %s" % (relative, self.id, e)
RepoError: failure: wine-core-0.9.57-1.el5.i386.rpm from epel: [Errno 256] No more mirrors to try.

Local variables in innermost frame:
e: [Errno 256] No more mirrors to try.
start: 440
url: None
text: None
self: epel
cache: True
reget: None
relative: wine-core-0.9.57-1.el5.i386.rpm
headers: ()
checkfunc: (<bound method PackageManager.verifyHeader of <__main__.PackageManager object at 0x9b131cc>>, (<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xa5933ec>, 1), {})
copy_local: 1
end: 82238
local: //var/cache/yum/epel/headers/wine-core-0.9.57-1.el5.i386.hdr
Comment 1 James Antill 2008-04-25 10:44:56 EDT
 This isn't a bug as such, yum is just telling you that it can't download the
wine package ... did you hit C-c, or have some network problem?
 I assume this is not reproducible?